https://linen.dev logo
#plugins-general
Title
# plugins-general
t

tim_frazer

11/23/2021, 7:53 PM
I’m trying to configure tap-okta and getting some interesting errors in meltano
Copy code
The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/__init__.py", line 45, in main
    cli(obj={"project": None})
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/params.py", line 23, in decorate
    return func(*args, **kwargs)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/params.py", line 56, in decorate
    func(project, *args, **kwargs)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/core/utils/__init__.py", line 72, in wrapper
    return run_async(func(*args, **kwargs))
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/core/utils/__init__.py", line 51, in run_async
    loop.run_until_complete(future)
  File "/Users/timfrazer/.pyenv/versions/3.8.11/lib/python3.8/asyncio/base_events.py", line 616, in run_until_complete
    return future.result()
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/elt.py", line 138, in elt
    await _run_job(project, job, session, context_builder, force=force)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/elt.py", line 217, in _run_job
    await _run_elt(project, context_builder, output_logger)
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/elt.py", line 251, in _run_elt
    raise CliError(f"ELT could not be completed: {err}") from err
meltano.cli.utils.CliError: ELT could not be completed: Extractor failed

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/timfrazer/Projects/meltano-projects/data-to-bigquery/.venv/lib/python3.8/site-packages/meltano/cli/__init__.py", line 53, in main
    raise CliError(str(err)) from err
meltano.cli.utils.CliError: ELT could not be completed: Extractor failed
ELT could not be completed: Extractor failed